<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'lz_fitness_contact_section',
	array(
		'title'         => __( 'Contact Section', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE contact SECTION
$wp_customize->add_setting(
	'lz_fitness_contact_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_contact_section_disable',
		array(
			'settings'      => 'lz_fitness_contact_section_disable',
			'section'       => 'lz_fitness_contact_section',
			'label'         => __( 'Disable Section', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'contact', 'lz_fitness_contact_section', $color='#f1f1f1');

$wp_customize->add_setting(
	'lz_fitness_contact_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_contact_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_contact_title_subtitle_heading',
			'section'       => 'lz_fitness_contact_section',
			'label'         => __( 'Section Title & Sub Title', 'gurukul' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contact_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'CONTACT US', 'gurukul' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contact_title',
	array(
		'settings'      => 'lz_fitness_contact_title',
		'section'       => 'lz_fitness_contact_section',
		'type'          => 'text',
		'label'         => __( 'Here goes the short description for the section', 'gurukul' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_contact_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our teaching staff in primary are all well qualified early year teachers as are our assistants.', 'gurukul' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contact_sub_title',
	array(
		'settings'      => 'lz_fitness_contact_sub_title',
		'section'       => 'lz_fitness_contact_section',
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'gurukul' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_contact_HeadingColor', 'lz_fitness_contact_section', 'Heading color', '#a556d4');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contact_TextColor', 'lz_fitness_contact_section', 'Text color', '#474646');

// $wp_customize->add_setting(
// 	'lz_fitness_contact_form_lbl',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 	)
// );

// $wp_customize->add_control(
// 	new lz_fitness_Customize_Heading(
// 		$wp_customize,
// 		'lz_fitness_contact_form_lbl',
// 		array(
// 			'settings'      => 'lz_fitness_contact_form_lbl',
// 			'section'       => 'lz_fitness_contact_section',
// 			'label'         => __( 'Add Form shortcode', 'gurukul' ),
// 		)
// 	)
// );
// $wp_customize->add_setting(
// 	'lz_fitness_contact_form_shortcode',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default'           => __( 'Add your form shortcode on customiser', 'gurukul' )
// 	)
// );
// $wp_customize->add_control(
// 	'lz_fitness_contact_form_shortcode',
// 	array(
// 		'settings'      => 'lz_fitness_contact_form_shortcode',
// 		'section'       => 'lz_fitness_contact_section',
// 		'type'          => 'text',
// 		'label'         => __( 'Shortcode', 'gurukul' )
// 	)
// );
// // ------
// $wp_customize->add_setting(
// 	'lz_fitness_contact_txt_lbl',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 	)
// );

// $wp_customize->add_control(
// 	new lz_fitness_Customize_Heading(
// 		$wp_customize,
// 		'lz_fitness_contact_txt_lbl',
// 		array(
// 			'settings'      => 'lz_fitness_contact_txt_lbl',
// 			'section'       => 'lz_fitness_contact_section',
// 			'label'         => __( 'Left hand text', 'gurukul' ),
// 		)
// 	)
// );
// $wp_customize->add_setting(
// 	'lz_fitness_contact_left_text',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default'           => __( 'Add your text', 'gurukul' )
// 	)
// );
// $wp_customize->add_control(
// 	'lz_fitness_contact_left_text',
// 	array(
// 		'settings'      => 'lz_fitness_contact_left_text',
// 		'section'       => 'lz_fitness_contact_section',
// 		'type'          => 'text',
// 		'label'         => __( 'text', 'gurukul' )
// 	)
// );
// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_contact_lblImgTxt', 'lz_fitness_contact_section', 'Address Details');
//add custome redio button
// lzAddCustomRadio($wp_customize, 'lz_fitness_appointment_radioImgTxt', 'lz_fitness_appointment_section', 'Use text');
//add textarea
lzAddElement($wp_customize, 'lz_fitness_contact_addresss', 'lz_fitness_contact_section', 'textarea', $label="Location", 'lz_fitness_sanitize_text', 'Our Location');
lzAddElement($wp_customize, 'lz_fitness_contact_address', 'lz_fitness_contact_section', 'textarea', $label="Address", 'lz_fitness_sanitize_text', '9870 St Vincent Place, <br> Glasgow, DC 45 Fr 45');

lzAddElement($wp_customize, 'lz_fitness_contact_phonen', 'lz_fitness_contact_section', 'text', $label="Phone Number", 'lz_fitness_sanitize_text', 'Phone Number');
lzAddElement($wp_customize, 'lz_fitness_contact_phone1', 'lz_fitness_contact_section', 'text', $label="Phone", 'lz_fitness_sanitize_text', '+012 345 6789');
lzAddElement($wp_customize, 'lz_fitness_contact_phone2', 'lz_fitness_contact_section', 'text', $label="Phone", 'lz_fitness_sanitize_text', '+123 456 7890');

lzAddElement($wp_customize, 'lz_fitness_contact_emailid', 'lz_fitness_contact_section', 'text', $label="Emailid", 'lz_fitness_sanitize_text', 'Email Id');
lzAddElement($wp_customize, 'lz_fitness_contact_email', 'lz_fitness_contact_section', 'text', $label="Email", 'lz_fitness_sanitize_text', 'info@companyname.com');
lzAddElement($wp_customize, 'lz_fitness_contact_email1', 'lz_fitness_contact_section', 'text', $label="Email", 'lz_fitness_sanitize_text', 'info@Playschool.com ');

lzAddElement($wp_customize, 'lz_fitness_contact_times', 'lz_fitness_contact_section', 'text', $label="Kidschool Day & Time", 'lz_fitness_sanitize_text', 'Playschool Time');
lzAddElement($wp_customize, 'lz_fitness_contact_time', 'lz_fitness_contact_section', 'text', $label="Time", 'lz_fitness_sanitize_text', '8am to 5pm, Mon to Fri <br> 9am to 1am sat');

